<div class='col-md-8 col-md-offset-2'>
  <div class='row'>
    <div class='panel panel-default'>
      <div class='panel-heading'>
        <h2>Edit <%= resource_name.to_s.humanize %></h2>
      </div>
      <div class='panel-body'>
        <%= simple_form_for(resource, as: resource_name, url: registration_path(resource_name), html: { method: :put }) do |f| %>
          <%= f.error_notification %>

          <div class="form-group">
            <%= f.label :email %></br>
            <%= f.email_field :email, required: true, autofocus: true, class: 'form-control'  %>

            <% if devise_mapping.confirmable? && resource.pending_reconfirmation? %>
              <p>Currently waiting confirmation for: <%= resource.unconfirmed_email %></p>
            <% end %>
          </div>
          <div class='form-group'>
            <%= f.label :password %>
            <%= f.password_field :password, autocomplete: "off", hint: "leave it blank if you don't want to change it", required: false, class: 'form-control' %>
          </div>
          <div class='form-group'>
            <%= f.label :password_confirmation %>
            <%= f.password_field :password_confirmation, required: false, class: 'form-control' %>
          </div>
          <div class='form-group'>
            <%= f.label :current_password %>
            <%= f.password_field :current_password, hint: "we need your current password to confirm your changes", required: true, class: 'form-control' %>
          </div>
          </div>

          <div class="form-group">
            <%= f.button :submit, "Update", class: 'btn btn-info' %>
          </div>
        <% end %>
      </div>
      <div class='panel-footer'>
        <h3>Cancel my account</h3>
        <p>Unhappy? <%= link_to "Cancel my account", registration_path(resource_name), data: { confirm: "Are you sure?" }, method: :delete, class: 'btn btn-danger' %></p>

        <%= link_to "Back", :back, class: 'btn btn-default' %>
      </div>
    </div>
  </div>
</div>
